# CbcHeuristicPivotAndFix Class Reference

LocalSearch class. More...

`#include <CbcHeuristicPivotAndFix.hpp>`

Inheritance diagram for CbcHeuristicPivotAndFix:
[legend]
Collaboration diagram for CbcHeuristicPivotAndFix:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicPivotAndFix ()
| CbcHeuristicPivotAndFix (CbcModel &model)
| CbcHeuristicPivotAndFix (const CbcHeuristicPivotAndFix &)
| ~CbcHeuristicPivotAndFix ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicPivotAndFix & | operator= (const CbcHeuristicPivotAndFix &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.

## Detailed Description

LocalSearch class.

Definition at line 13 of file CbcHeuristicPivotAndFix.hpp.

## Constructor & Destructor Documentation

CbcHeuristicPivotAndFix::CbcHeuristicPivotAndFix | ( |  | ) |

CbcHeuristicPivotAndFix::CbcHeuristicPivotAndFix | ( | CbcModel & | model | ) |

CbcHeuristicPivotAndFix::CbcHeuristicPivotAndFix | ( | const CbcHeuristicPivotAndFix & |  | ) |

CbcHeuristicPivotAndFix::~CbcHeuristicPivotAndFix | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicPivotAndFix::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicPivotAndFix& CbcHeuristicPivotAndFix::operator= | ( | const CbcHeuristicPivotAndFix & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicPivotAndFix::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicPivotAndFix::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicPivotAndFix::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicPivotAndFix::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) needs comments

Implements CbcHeuristic.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcHeuristicPivotAndFix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines